
/* dpwatch.c include file */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <string.h>
#include <sys/time.h>
#include <termios.h>
#include <errno.h>
#include <syslog.h>
#include <signal.h>

/* Watchdog command bytes */

#define WATCHDOG_RESET_NOW	0x20
#define WATCHDOG_RESET_SOON	0x21
#define WATCHDOG_ARM		0x24
#define WATCHDOG_DISABLE	0x28
#define WATCHDOG_REV_MAJOR	0x30
#define WATCHDOG_REV_MINOR	0x31
#define WATCHDOG_NOP		0x34
#define WATCHDOG_RESETCOUNT	0x38
#define WATCHDOG_CLEARRESET	0x39
#define WATCHDOG_RELAISON	0x50
#define WATCHDOG_RELAISOFF	0x51
#define WATCHDOG_TEMPERATURE	0x58

/* Buffer lengths */

#define WATCHDOG_SENDBUFFER_SIZE	5
#define WATCHDOG_RECBUFFER_SIZE		4
